---
title: Bluetooth.getDevices()
slug: Web/API/Bluetooth/getDevices
tags:
  - API
  - Bluetooth
  - Reference
  - Web Bluettoth API
---
<p>{{securecontext_header}}{{SeeCompatTable}}{{APIRef("Bluetooth API")}}</p>

<p><span class="seoSummary">The <strong><code>getDevices()</code></strong> method of {{DOMxRef("Bluetooth")}} interface of <a href="/en-US/docs/Web/API/Web_Bluetooth_API">Web Bluetooth API</a> exposes the Bluetooth devices this origin is allowed to access. This method does not display any permission prompts.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> This method returns a {{DOMxRef("BluetoothDevice")}} for each device the origin is currently allowed to access, even the ones that are out of range or powered off. The program can detect when a device comes online or into range by watching for BlueTooth advertisements by calling {{DOMxRef("BluetoothDevice.watchAdvertisements","BluetoothDevice.watchAdvertisements()")}} on that device.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var<em> readerPromise = Bluetooth</em>.getDevices();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{JSxRef("Promise")}} that resolves with an array of {{DOMxRef("BluetoothDevice")}}s.</p>

<h2 id="Exceptions">Exceptions</h2>

<p>This method doesn't throw any exceptions.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetooth-getdevices", "getDevices()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Bluetooth.getDevices")}}</p>
</div>
